//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Elements only used for mycological units
 * 
 * <p>Java class for MycologicalUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MycologicalUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="LichenMorphotype" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="MycologicalSexualStage" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="MycologicalLiveStages" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="MycologicalLiveStage" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MycologicalUnit", propOrder = {
    "lichenMorphotype",
    "mycologicalSexualStage",
    "mycologicalLiveStages"
})
public class MycologicalUnit {

    @XmlElement(name = "LichenMorphotype")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String lichenMorphotype;
    @XmlElement(name = "MycologicalSexualStage")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String mycologicalSexualStage;
    @XmlElement(name = "MycologicalLiveStages")
    protected MycologicalUnit.MycologicalLiveStages mycologicalLiveStages;

    /**
     * Gets the value of the lichenMorphotype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLichenMorphotype() {
        return lichenMorphotype;
    }

    /**
     * Sets the value of the lichenMorphotype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLichenMorphotype(String value) {
        this.lichenMorphotype = value;
    }

    /**
     * Gets the value of the mycologicalSexualStage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMycologicalSexualStage() {
        return mycologicalSexualStage;
    }

    /**
     * Sets the value of the mycologicalSexualStage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMycologicalSexualStage(String value) {
        this.mycologicalSexualStage = value;
    }

    /**
     * Gets the value of the mycologicalLiveStages property.
     * 
     * @return
     *     possible object is
     *     {@link MycologicalUnit.MycologicalLiveStages }
     *     
     */
    public MycologicalUnit.MycologicalLiveStages getMycologicalLiveStages() {
        return mycologicalLiveStages;
    }

    /**
     * Sets the value of the mycologicalLiveStages property.
     * 
     * @param value
     *     allowed object is
     *     {@link MycologicalUnit.MycologicalLiveStages }
     *     
     */
    public void setMycologicalLiveStages(MycologicalUnit.MycologicalLiveStages value) {
        this.mycologicalLiveStages = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="MycologicalLiveStage" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mycologicalLiveStage"
    })
    public static class MycologicalLiveStages {

        @XmlElement(name = "MycologicalLiveStage", required = true)
        protected List<StringL> mycologicalLiveStage;

        /**
         * Gets the value of the mycologicalLiveStage property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mycologicalLiveStage property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMycologicalLiveStage().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StringL }
         * 
         * 
         */
        public List<StringL> getMycologicalLiveStage() {
            if (mycologicalLiveStage == null) {
                mycologicalLiveStage = new ArrayList<StringL>();
            }
            return this.mycologicalLiveStage;
        }

    }

}
